LibOFX: Data Fields - Functions

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- i
- m
- n
- o
- p
- r
- s

### - a -

- Add() : OfxAggregate
- add_attribute() : OfxAccountContainer , OfxBalanceContainer , OfxBankTransactionContainer , OfxDummyContainer , OfxGenericContainer , OfxInvestmentTransactionContainer , OfxPushUpContainer , OfxSecurityContainer , OfxStatementContainer , OfxStatusContainer , OfxTransactionContainer
- add_to_main_tree() : OfxAccountContainer , OfxGenericContainer , OfxSecurityContainer , OfxStatementContainer , OfxTransactionContainer
- append_child() : tree< T, tree_node_allocator >
- append_children() : tree< T, tree_node_allocator >

### - b -

- BankStatementRequest() : OfxStatementRequest
- begin() : tree< T, tree_node_allocator >
- begin_fixed() : tree< T, tree_node_allocator >
- begin_post() : tree< T, tree_node_allocator >

### - c -

- child() : tree< T, tree_node_allocator >
- clear() : tree< T, tree_node_allocator >
- CreditCardStatementRequest() : OfxStatementRequest

### - d -

- data() : OFCApplication , OFXApplication
- depth() : tree< T, tree_node_allocator >
- descend_all() : tree< T, tree_node_allocator >::post_order_iterator

### - e -

- empty() : tree< T, tree_node_allocator >
- end() : tree< T, tree_node_allocator >
- end_fixed() : tree< T, tree_node_allocator >
- end_post() : tree< T, tree_node_allocator >
- endElement() : OFCApplication , OFXApplication
- equal() : tree< T, tree_node_allocator >
- erase() : tree< T, tree_node_allocator >
- erase_children() : tree< T, tree_node_allocator >
- error() : OFCApplication , OFXApplication

### - f -

- flatten() : tree< T, tree_node_allocator >

### - g -

- gen_event() : OfxAccountContainer , OfxGenericContainer , OfxMainContainer , OfxSecurityContainer , OfxStatementContainer , OfxTransactionContainer
- getparent() : OfxGenericContainer

### - i -

- index() : tree< T, tree_node_allocator >
- insert() : tree< T, tree_node_allocator >
- insert_after() : tree< T, tree_node_allocator >
- insert_subtree() : tree< T, tree_node_allocator >
- InvestmentStatementRequest() : OfxStatementRequest
- is_in_subtree() : tree< T, tree_node_allocator >
- is_valid() : tree< T, tree_node_allocator >

### - m -

- merge() : tree< T, tree_node_allocator >
- move_after() : tree< T, tree_node_allocator >
- move_before() : tree< T, tree_node_allocator >
- move_ontop() : tree< T, tree_node_allocator >

### - n -

- next_at_same_depth() : tree< T, tree_node_allocator >
- next_sibling() : tree< T, tree_node_allocator >
- number_of_children() : tree< T, tree_node_allocator >::iterator_base , tree< T, tree_node_allocator >
- number_of_siblings() : tree< T, tree_node_allocator >

### - o -

- OfxAccountInfoRequest() : OfxAccountInfoRequest
- OfxAggregate() : OfxAggregate
- OfxPaymentRequest() : OfxPaymentRequest
- OfxRequest() : OfxRequest
- OfxStatementRequest() : OfxStatementRequest
- openEntityChange() : OFCApplication , OFXApplication
- Output() : OfxAggregate

### - p -

- parent() : tree< T, tree_node_allocator >
- previous_sibling() : tree< T, tree_node_allocator >

### - r -

- reparent() : tree< T, tree_node_allocator >
- replace() : tree< T, tree_node_allocator >
- RequestMessage() : OfxRequest

### - s -

- set_head() : tree< T, tree_node_allocator >
- SignOnRequest() : OfxRequest
- size() : tree< T, tree_node_allocator >
- skip_children() : tree< T, tree_node_allocator >::iterator_base
- sort() : tree< T, tree_node_allocator >
- startElement() : OFCApplication , OFXApplication
- subtree() : tree< T, tree_node_allocator >
- swap() : tree< T, tree_node_allocator >